풀 전용 CLI 이미지 역할 가정하고 플랫폼의 자사 이미지 리포지토리에 대한 단기 Docker 레지스트리 자격 증명을 반환합니다. 유효한 플랫폼 JWT가 필요합니다. 추가 역할이 없습니다. 사용자당 요금이 제한됩니다.
POST /api/v1/ecr/token
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/ecr/token' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"expires_at": "string",
"password": "string",
"registry_url": "string",
"repositories": [
"string"
],
"username": "string"
}
응답 예시(200)
{
"expires_at": "string",
"password": "string",
"registry_url": "string",
"repositories": [
"string"
],
"username": "string"
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(429)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(429)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(503)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(503)
{
"code": "string",
"error": "string",
"success": true
}